/v1/contacts

Create contacts in Apptoto.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The POST request body should look like the following:

{
  "contacts": [
    CONTACTS TO CREATE
  ]
}

Each Contact should have the following properties

FieldTypeDescription
address_bookString
(Required unless address_book_id specified)

The name of the address book to add the contact to.

If the address book doesn't exist then a new one will be provisioned.

address_book_idInteger
(Required unless address_book specified)
The id of the address book.
nameString
(Required)

The full name of the contact. E.g. Fred Smith

NOTE: you can provide either "name" or you can provide "first_name" and "last_name". "name" will take precedence.

first_nameString
(Required)
The first name of the contact.
E.g. Fred
last_nameString
(Required)
The last name of the contact.
E.g. Fred
phoneString

A phone number for the contact . E.g. 650-555-1212.

If the contact has multiple phone numbers then pass the phone_numbers array instead.

emailString

An email address for the contact. E.g. [email protected] .

If the contact has multiple email addresses then pass the email_address array instead.

phone_numbersArrayAn array of phone numbers to add to the contact. See below for phone number fields
email_addressesArrayAn array of email addresses to add to the contact. See below for the email address fields.
external_idStringAn optional unique identifier (should be unique across all calendars in user's account). Can be used to fetch updates and update events.

Each Phone number object should include the following properties

FieldTypeDescription
numberStringThe number of the contact. E.g. 650-555-1212
is_mobileBooleanSets the phone type as "mobile" for the address book specified.
typeStringThe type of the phone number to be added. Each address book type has a different set of phone types. List of phone types can be fetched from the /v1/address_books endpoint.
is_primaryBooleanTrue if this should be the primary phone number to use when sending email to this contact.

Each email address object should include the following properties

FieldTypeDescription
addressStringThe email address of the contact. E.g. [email protected]
typeStringThe type of email address. Each address book type has a different set of phone types. List of email address types can be fetched from the /v1/address_books endpoint.
is_primaryBooleanTrue if this should be the primary email address to use when sending email to this contact.

Example Result:

{ 
  contacts: [ CONTACTS CREATED ]
}

OAuth scope

Calls authenticated with an OAuth 2.0 bearer token must include the contacts:write scope. A token without it receives a 403 insufficient_scope response. HTTP Basic auth is not scope-gated.

Form Data
contacts
array
required

Array of events to add

contacts*
Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!